%define	module	amqplib

Summary:	Python AMQP (Advanced Message Queuing Protocol) client library
Name:		python-%{module}
Version:	1.0.2
Release:	%mkrel 1
Source0:	https://pypi.python.org/packages/source/a/amqplib/%{module}-%{version}.tar.xz
License:	LGPLv2.1
Group:		Development/Python
Url:		http://code.google.com/p/py-amqplib/
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose

%description
amqplib is a Python client library that supports the 0-8 AMQP
(Advanced Message-Queuing Protocol) spec.

%package -n python3-%{module}
Summary:        Client library for AMQP
Group:		Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose

%description -n python3-%{module}
Client library for AMQP (Advanced Message Queuing Protocol)

Supports the 0-8 AMQP spec, and has been tested with RabbitMQ
and Python's 2.4 up to 3.2

%files
%doc CHANGES INSTALL LICENSE README TODO docs/ 
%{python_sitelib}/%{module}/
%{python_sitelib}/%{module}*.egg-info


%files -n python3-%{module}
%doc CHANGES INSTALL LICENSE README TODO
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}*.egg-info

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
%{__python} setup.py install --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

pushd %{py3dir}
cd tests/client_0_8
nosetests-%{python3_version} run_all.py
popd



%changelog
* Mon Sep 07 2015 bb <bb> 1.0.2-1pclos2015
- import for blink
